<template>
  <div class="home">
    <div class="container">
    <Search @research-movie="researchFunction"/>
    <MovieCard v-bind:movies="movies"  v-bind:filter="filterMovie" v-if="movies.length !== 0"/>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import MovieCard from '@/components/MovieCard.vue'
import Search from '@/components/Search.vue'

export default {
  name: 'Home',
  components: {
    MovieCard,
    Search
  },
  beforeMount() {
    this.$store.dispatch('getMovies')
  },
  data (){
    return {
      filterMovie:''
    }
  },
  computed: {
    movies() {
      return this.$store.state.movies
    },
  },
  methods: {
    researchFunction:function (filter){
      this.filterMovie = filter;
    }
  }
}
</script>
